> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agenticpencil.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Content Audit

> Analyze your existing content — crawl sitemap, detect thin content and cannibalization

Crawl your sitemap, analyze page content, detect thin pages and keyword cannibalization risks.

<RequestExample>
  ```bash cURL theme={null}
  curl -X POST "https://api.agenticpencil.com/v1/content/audit" \
    -H "Authorization: Bearer ap_your_api_key_here" \
    -H "Content-Type: application/json" \
    -d '{
      "domain": "sonant.ai",
      "max_pages": 50
    }'
  ```
</RequestExample>

## Authorization

<ParamField header="Authorization" type="string" required>
  Bearer token. Format: `Bearer ap_your_api_key`
</ParamField>

## Request Body

<ParamField body="domain" type="string" required>
  Your website domain
</ParamField>

<ParamField body="sitemap_url" type="string">
  URL to your XML sitemap (auto-detected if not provided)
</ParamField>

<ParamField body="max_pages" type="integer">
  Maximum pages to audit (1-500, default: 100)
</ParamField>

## Response

<ResponseExample>
  ```json Success Response theme={null}
  {
    "success": true,
    "data": {
      "domain": "sonant.ai",
      "pages_crawled": 50,
      "pages": [
        {
          "url": "https://sonant.ai/blog/ai-receptionist",
          "title": "AI Receptionist for Insurance",
          "word_count": 1250,
          "meta_description": "Learn about AI receptionists..."
        }
      ],
      "thin_content": [
        { "url": "https://sonant.ai/old-page", "word_count": 120, "title": "Old Page" }
      ],
      "cannibalization_risks": [
        {
          "keyword": "ai receptionist",
          "urls": ["https://sonant.ai/blog/ai-receptionist", "https://sonant.ai/features"]
        }
      ],
      "summary": {
        "total": 50,
        "thin": 3,
        "cannibalization_issues": 2,
        "avg_words": 850
      }
    },
    "meta": {
      "credits_used": 15,
      "credits_remaining": 985,
      "request_id": "abc-123"
    }
  }
  ```
</ResponseExample>

<Info>**Credit Cost**: 15 credits per request</Info>
